#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,320,640,1344,1984,2688
 * N : 25,128,192,256,320,640,1344,1984,2688
 * NB : 5,8,16,32,64,64,64,64,128
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 5; \
   else if ((n_) < 160) (nb_) = 8; \
   else if ((n_) < 224) (nb_) = 16; \
   else if ((n_) < 288) (nb_) = 32; \
   else if ((n_) < 2336) (nb_) = 64; \
   else (nb_) = 128; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
